# Interface TrackCoordinate3D

Interface for tracked 3D coordinate.

interface TrackCoordinate3D {
isEnabled?: boolean;
x: number;
y: number;
z: number;
}

#### Hierarchy (View Summary)

- Vertex3
  - TrackCoordinate3D

#### Implemented by

- BimPointBase
- LaserTool

##### Index

### Properties

isEnabled?
x
y
z

## Properties

### `Optional` isEnabled

isEnabled?: boolean

If `false` then 2D coordinates will be suspended for this particular 3D coordinate. If `undefined` or `false` then 2D coordinates will be reported as usual.

### x

x: number

Inherited from Vertex3.x

### y

y: number

Inherited from Vertex3.y

### z

z: number

Inherited from Vertex3.z